# Class NoInitialContextException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.NoInitialContextException

All Implemented Interfaces:
  `Serializable`

public class NoInitialContextException extends NamingException
This exception is thrown when no initial context implementation can be created. The policy of how an initial context implementation is selected is described in the documentation of the InitialContext class.

This exception can be thrown during any interaction with the InitialContext, not only when the InitialContext is constructed. For example, the implementation of the initial context might lazily retrieve the context only when actual methods are invoked on it. The application should not have any dependency on when the existence of an initial context is determined.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - `InitialContext`
  - `InitialDirContext`
  - `NamingManager.getInitialContext(Hashtable)`
  - `NamingManager.setInitialContextFactoryBuilder(InitialContextFactoryBuilder)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`
  Modifier and Type
  Field
  Description
  `protected Name`
  `remainingName`
  Contains the remaining name that has not been resolved yet.
  `protected Name`
  `resolvedName`
  Contains the part of the name that has been successfully resolved.
  `protected Object`
  `resolvedObj`
  Contains the object to which resolution of the part of the name was successful.
  `protected Throwable`
  `rootException`
  Contains the original exception that caused this NamingException to be thrown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoInitialContextException()`
  Constructs an instance of NoInitialContextException.
  `NoInitialContextException(String explanation)`
  Constructs an instance of NoInitialContextException with an explanation.

- ## Method Summary

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`
  Modifier and Type
  Method
  Description
  `void`
  `appendRemainingComponent(String name)`
  Add name as the last component in remaining name.
  `void`
  `appendRemainingName(Name name)`
  Add components from 'name' as the last components in remaining name.
  `Throwable`
  `getCause()`
  Returns the cause of this exception.
  `String`
  `getExplanation()`
  Retrieves the explanation associated with this exception.
  `Name`
  `getRemainingName()`
  Retrieves the remaining unresolved portion of the name.
  `Name`
  `getResolvedName()`
  Retrieves the leading portion of the name that was resolved successfully.
  `Object`
  `getResolvedObj()`
  Retrieves the object to which resolution was successful.
  `Throwable`
  `getRootCause()`
  Retrieves the root cause of this NamingException, if any.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this exception to the specified value.
  `void`
  `setRemainingName(Name name)`
  Sets the remaining name field of this exception.
  `void`
  `setResolvedName(Name name)`
  Sets the resolved name field of this exception.
  `void`
  `setResolvedObj(Object obj)`
  Sets the resolved object field of this exception.
  `void`
  `setRootCause(Throwable e)`
  Records the root cause of this NamingException.
  `String`
  `toString()`
  Generates the string representation of this exception.
  `String`
  `toString(boolean detail)`
  Generates the string representation in more detail.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### NoInitialContextException

    public NoInitialContextException()
    Constructs an instance of NoInitialContextException. All fields are initialized to null.

  - ### NoInitialContextException

    public NoInitialContextException(String explanation)
    Constructs an instance of NoInitialContextException with an explanation. All other fields are initialized to null.
    Parameters:
      `explanation` - Possibly null additional detail about this exception.
    See Also:
      - `Throwable.getMessage()`